# ZMQContext::setOpt

(PECL zmq >= 1.0.4)

ZMQContext::setOpt — Défini une option de socket

### Description

public ZMQContext::setOpt(int `$key`, mixed `$value`): ZMQContext

Défini une option de contexte ZMQ. Le type du paramètre `value` dépend du paramètre `key`. Voir les types de constantes ZMQ pour plus d'informations.

### Liste de paramètres

`key`

  Une constante `ZMQ::CTXOPT_*`.

`value`

  La valeur du paramètre.

### Valeurs de retour

Retourne l'objet courant. Lance une exception ZMQContextException si une erreur survient.